Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.gen.ascape
Class AscapeGenActivator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.metaabm.gen.ascape.AscapeGenActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class AscapeGenActivator

extends org.eclipse.core.runtime.Plugin

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` | `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`AscapeGenActivator()` The constructor

Method Summary
`static AscapeGenActivator` | `getDefault()` Returns the shared instance
`void` | `start(org.osgi.framework.BundleContext context)`
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### AscapeGenActivator

    public AscapeGenActivator()

  The constructor

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static AscapeGenActivator getDefault()

  Returns the shared instance

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD